import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SubscribeToShardInput, SubscribeToShardOutput } from "../models/models_0";
import { deserializeAws_json1_1SubscribeToShardCommand, serializeAws_json1_1SubscribeToShardCommand, } from "../protocols/Aws_json1_1";
var SubscribeToShardCommand = (function (_super) {
    __extends(SubscribeToShardCommand, _super);
    function SubscribeToShardCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SubscribeToShardCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KinesisClient";
        var commandName = "SubscribeToShardCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SubscribeToShardInput.filterSensitiveLog,
            outputFilterSensitiveLog: SubscribeToShardOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SubscribeToShardCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1SubscribeToShardCommand(input, context);
    };
    SubscribeToShardCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1SubscribeToShardCommand(output, context);
    };
    return SubscribeToShardCommand;
}($Command));
export { SubscribeToShardCommand };
