import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateStreamModeInput } from "../models/models_0";
import { deserializeAws_json1_1UpdateStreamModeCommand, serializeAws_json1_1UpdateStreamModeCommand, } from "../protocols/Aws_json1_1";
var UpdateStreamModeCommand = (function (_super) {
    __extends(UpdateStreamModeCommand, _super);
    function UpdateStreamModeCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateStreamModeCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KinesisClient";
        var commandName = "UpdateStreamModeCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateStreamModeInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateStreamModeCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateStreamModeCommand(input, context);
    };
    UpdateStreamModeCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateStreamModeCommand(output, context);
    };
    return UpdateStreamModeCommand;
}($Command));
export { UpdateStreamModeCommand };
